| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::online_boosting::StrongClassifierDirectSelection Class Reference

`#include <opencv2/tracking/onlineBoosting.hpp>`

Collaboration diagram for cv::detail::tracking::online_boosting::StrongClassifierDirectSelection:

## Public Member Functions
| StrongClassifierDirectSelection (int numBaseClf, int numWeakClf, Size patchSz, const Rect &sampleROI, bool useFeatureEx=false, int iterationInit=0)
virtual | ~StrongClassifierDirectSelection ()
float | classifySmooth (const std::vector< Mat > &images, const Rect &sampleROI, int &idx)
float | eval (const Mat &response)
int | getNumBaseClassifier ()
Size | getPatchSize () const
int | getReplacedClassifier () const
Rect | getROI () const
std::vector< int > | getSelectedWeakClassifier ()
int | getSwappedClassifier () const
bool | getUseFeatureExchange () const
void | initBaseClassifier ()
void | replaceWeakClassifier (int idx)
bool | update (const Mat &image, int target, float importance=1.0)

## Constructor & Destructor Documentation

## ◆ StrongClassifierDirectSelection()

cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::StrongClassifierDirectSelection | ( | int | numBaseClf,
|  | int | numWeakClf,
|  | Size | patchSz,
|  | const Rect & | sampleROI,
|  | bool | useFeatureEx = false,
|  | int | iterationInit = 0 )

## ◆ ~StrongClassifierDirectSelection()

virtual cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::~StrongClassifierDirectSelection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ classifySmooth()

float cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::classifySmooth | ( | const std::vector< Mat > & | images,
|  | const Rect & | sampleROI,
|  | int & | idx )

## ◆ eval()

float cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::eval | ( | const Mat & | response | ) |

## ◆ getNumBaseClassifier()

int cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getNumBaseClassifier | ( |  | ) |

## ◆ getPatchSize()

Size cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getPatchSize | ( |  | ) | const

## ◆ getReplacedClassifier()

int cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getReplacedClassifier | ( |  | ) | const

## ◆ getROI()

Rect cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getROI | ( |  | ) | const

## ◆ getSelectedWeakClassifier()

std::vector< int > cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getSelectedWeakClassifier | ( |  | ) |

## ◆ getSwappedClassifier()

int cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getSwappedClassifier | ( |  | ) | const

## ◆ getUseFeatureExchange()

bool cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::getUseFeatureExchange | ( |  | ) | const

## ◆ initBaseClassifier()

void cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::initBaseClassifier | ( |  | ) |

## ◆ replaceWeakClassifier()

void cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::replaceWeakClassifier | ( | int | idx | ) |

## ◆ update()

bool cv::detail::tracking::online_boosting::StrongClassifierDirectSelection::update | ( | const Mat & | image,
|  | int | target,
|  | float | importance = 1.0 )

The documentation for this class was generated from the following file:

- opencv2/tracking/onlineBoosting.hpp